Subject: [Simple] Really minor nit in draft-rosenberg-impp-presence-01.txt

From: Ben Campbell <[email-masked]>
Date: Fri, 16 Mar 2001 12:30:46 -0500

Section 4, paragraph 1 characterises a pres URL to be like unto a URN, in
that it is an abstract name. Based on recent discussions on the IMPP list, I
think this is a misleading characterization. A pres URL has internal
semantics, to the degree that the host part would be used to scope whatever
resolution we do (be it SRV, NAPTR, whatever.) It seems to me that this is
exactly what distinguishes a URL from a URN. 

Of course as always, I could be completely wrong.

(See, I told you it was a really minor nit)

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 18 Mar 2001 23:52:47 -0500

> -----Original Message-----
> From: Ben Campbell 
> Sent: Friday, March 16, 2001 12:31 PM
> To: Jonathan Rosenberg
> Cc: [email-masked]'
> Subject: Really minor nit in draft-rosenberg-impp-presence-01.txt
> 
> 
> Section 4, paragraph 1 characterises a pres URL to be like 
> unto a URN, in that it is an abstract name. Based on recent 
> discussions on the IMPP list, I think this is a misleading 
> characterization. A pres URL has internal semantics, to the 
> degree that the host part would be used to scope whatever 
> resolution we do (be it SRV, NAPTR, whatever.) It seems to me 
> that this is exactly what distinguishes a URL from a URN. 

I wrote this while IMPP was still figuring out what the URI was. I'm not
sure its resolved still. Once the decision is made, I'll be able to update
this to be completely consistent with it.

Thanks,
Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com